/*
 * This file is part of ArmarX.
 *
 * ArmarX is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * ArmarX is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * @author     Rainer Kartmann ( rainer dot kartmann at kit dot edu )
 * @date       2021
 * @copyright  http://www.gnu.org/licenses/gpl-2.0.txt
 *             GNU General Public License
 */

#include "default_colors.h"

#include <QColor>

namespace armarx::navigation::qt_plugins::location_graph_editor
{

    const QColor default_colors::tableBackgroundDefault = QColor::fromRgb(255, 255, 255);
    const QColor default_colors::tableBackgroundSelected = QColor::fromRgb(255, 210, 160);

} // namespace armarx::navigation::qt_plugins::location_graph_editor
