#pragma once

#include <RobotAPI/libraries/skills/core/SkillDescription.h>

#include <armarx/navigation/skills/NavigateRelativeSkill.h>
#include <armarx/navigation/skills/aron/MoveXMeters.aron.generated.h>

namespace armarx::navigation::skills
{

    class MoveXMeters : public NavigateRelativeSkill<arondto::MoveXMetersParams>
    {

    public:
        using Base = NavigateRelativeSkill<arondto::MoveXMetersParams>;

        MoveXMeters(const Services& srv);

    private:
        Eigen::Isometry3f relativeTarget(const Base::SpecializedMainInput& in) override;


    public:
        static armarx::skills::SkillDescription DefaultSkillDescription();
    };

} // namespace armarx::navigation::skills
