#pragma once

#include <armarx/navigation/skills/NavigateRelativeSkill.h>
#include <armarx/navigation/skills/aron/RotateXDegrees.aron.generated.h>

namespace armarx::navigation::skills
{

    class RotateXDegrees : public NavigateRelativeSkill<arondto::RotateXDegreesParams>
    {

    public:
        using Base = NavigateRelativeSkill<arondto::RotateXDegreesParams>;

        RotateXDegrees(const Services& srv);

    private:
        Eigen::Isometry3f relativeTarget(const Base::SpecializedMainInput& in) override;


    public:
        static armarx::skills::SkillDescription DefaultSkillDescription();
    };

} // namespace armarx::navigation::skills
