#include "SafetyGuard.h"

#include <ArmarXCore/core/exceptions/local/ExpressionException.h>

#include <RobotAPI/components/ArViz/Client/ScopedClient.h>

namespace armarx::navigation::safety_guard
{

    SafetyGuard::SafetyGuard(const core::Scene& scene, const Context& ctx) :
        scene(scene), context(ctx)
    {
        ARMARX_CHECK_NOT_NULL(context.arviz);
        viz = viz::ScopedClient(*context.arviz);
    }
} // namespace armarx::navigation::safety_guard
